# $Revision: 1.5 $, $Date: 2002/08/15 13:39:15 $
%define		_theme	keramik

Summary:	keramik theme
Summary(pl):	Temat keramik
Name:		kde-theme-%{_theme}
Version:	1
Release:	2.1
License:	GPL
Group:		Themes/Gtk
#Source0:	http://www.kde-look.org/content/download.php?content=1961
Source0:	1961-keramik.tgz
URL:		http://www.kde-look.org/content/show.php?content=1961
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype-devel
BuildRequires:	motif-devel
BuildRequires:	qt-devel >= 3.0.5
Requires:	kdelibs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		/usr/X11R6/man
%define         _htmldir        /usr/share/doc/kde/HTML

%description
Keramik theme. To fully enjoy it set in Control Center, Look & Feel:
- Window decoration
- Style
- Color (menu)

%description -l pl
Keramik. Aby zobaczy go w caej okazaoci ustaw w Centrum Sterowania, 
Look & Feal:
- Typ dekoracji okien
- Styl
- Kolor (menu)

%prep
%setup  -q -n %{_theme}

%build
rm -f missing

kde_htmldir="%{_htmldir}"; export kde_htmldir
kde_icondir="%{_pixmapsdir}"; export kde_icondir

KDEDIR=%{_prefix}
export KDEDIR

#make -f Makefile.cvs
%{__autoconf}
%configure \
	--with-motif

cd ./kdefx
%{__make}
cd ../kstyles/keramik
%{__make}
cd ../../kwin
%{__make}
cd ../../..

%install
rm -rf $RPM_BUILD_ROOT

KDEDIR=%{_prefix}
export KDEDIR

cd ./kstyles/keramik
%{__make} install DESTDIR=$RPM_BUILD_ROOT
cd ../../kwin/clients/keramik
%{__make} install DESTDIR=$RPM_BUILD_ROOT
cd ../..

%post
/sbin/ldconfig
echo "You may have to run kinstalltheme for this theme to become available"
echo "in currently opened sessions."

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_libdir}/kde3/*.??
%{_libdir}/kde3/plugins/styles/*.??
%{_datadir}/apps/kwin/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: kde-theme-keramik.spec,v $
Revision 1.5  2002/08/15 13:39:15  blues
- release 2.1 - rebuild with qt-3.0.5

Revision 1.4  2002/07/28 21:34:40  blues
- cosmetics
- run only autoconf - they want only automake-1.5 . point.

Revision 1.3  2002/07/28 20:03:17  mkochano
- Release 2.
- Added post section with message.
- Changed description. I was told Windows XP doesn't look like this
  theme. Whatever.

Revision 1.2  2002/07/28 17:25:23  mkochano
- Release 1.
- Works.

Revision 1.1  2002/07/28 16:34:06  mkochano
- Not builds. I'm working on it.

